#ifndef __LAB7_H__
#define __LAB7_H__

#define MAX_SIZE 6

/*
 * set_magic_square(matrix, size)
 * Initializes a partially completed magic square.
 * Parameters: 
 *     matrix: an initially empty MAX_SIZE x MAX_SIZE array
 *     size: the magix square's actual size 
 * Side Effects: 
 *     The top left size x size part of the matrix will comprise
 *     a partially filled magic square. A value of zero denotes
 *     an empty cell.
 * Prerequisites: size must be at least 3 and at most MAX_SIZE
 */
int set_magic_square(int matrix[][MAX_SIZE], int size);

/*
 * print(matrix, size)
 * Prints the contents of a size x size magic square that is stored in matrix.
 * Parameters: 
 *     matrix: a MAX_SIZE x MAX_SIZE array whose top left size x size section
 *             contains a magic square. 
 *     size: the magix square's actual size 
 */ 
void print(int matrix[][MAX_SIZE], int size);

#endif
